Index: TXM/trunk/org.txm.internalview.core/src/org/txm/internalview/core/preferences/InternalViewPreferences.java
===================================================================
--- TXM/trunk/org.txm.internalview.core/src/org/txm/internalview/core/preferences/InternalViewPreferences.java	(revision 3563)
+++ TXM/trunk/org.txm.internalview.core/src/org/txm/internalview/core/preferences/InternalViewPreferences.java	(revision 3564)
@@ -13,12 +13,7 @@
  */
 public class InternalViewPreferences extends TXMPreferences {
 	
-	/**
-	 * Current page number.
-	 */
-	public static final String CURRENT_PAGE = "current_page"; //$NON-NLS-1$
 	
-	
 	/**
 	 * Gets the instance.
 	 * 
Index: TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java
===================================================================
--- TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 3563)
+++ TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 3564)
@@ -44,6 +44,9 @@
  * @author sjacquot
  * 
  */
+// FIXME: SJ: improvements:
+// - create an interface as SeletionSendableAsQueries with method createQueries() or buildQueries() or getQueries()
+// - instead of subclassing this class, Editors can implement SeletionSendableAsQueries interface and the method
 public abstract class SendSelectionToQueryable extends BaseAbstractHandler {
 	
 	/**
Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/SendInternalViewTo.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/SendInternalViewTo.java	(revision 3563)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/SendInternalViewTo.java	(revision 3564)
@@ -33,6 +33,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.internalview.rcp.editors.InternalViewEditor;
 import org.txm.links.rcp.handlers.SendSelectionToQueryable;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 /**
  * Sends the selected lines of an internal view to compute another command.
@@ -53,6 +54,15 @@
 		return null;
 	}
 	
+	@Override
+	public String createQueries(ExecutionEvent event, ISelection selection) {
+		if (selection instanceof StructuredSelection) {
+			StructuredSelection sselection = (StructuredSelection) selection;
+			//FIXME: SJ: the selection is not used
+			return CQLQuery.queriesToString(((InternalViewEditor) HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActivePart()).createQueries());
+		}
+		return null;
+	}
+
 	
-	
 }
Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3563)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3564)
@@ -25,6 +25,7 @@
 import org.eclipse.swt.widgets.TableColumn;
 import org.eclipse.swt.widgets.TableItem;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.internalview.core.functions.InternalView;
 import org.txm.internalview.core.preferences.InternalViewPreferences;
@@ -34,9 +35,12 @@
 import org.txm.rcp.editors.listeners.ComputeKeyListener;
 import org.txm.rcp.editors.listeners.ComputeSelectionListener;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.swt.GLComposite;
+import org.txm.rcp.swt.widget.LabeledSpinner;
 import org.txm.rcp.swt.widget.NewNavigationWidget;
 import org.txm.rcp.swt.widget.PropertiesSelector;
 import org.txm.rcp.swt.widget.structures.StructuralUnitsComboViewer;
+import org.txm.searchengine.core.Query;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
@@ -75,31 +79,31 @@
 	/**
 	 * For current page parameter synchronization.
 	 */
-	@Parameter(key = InternalViewPreferences.CURRENT_PAGE)
+	@Parameter(key = TXMPreferences.CURRENT_PAGE)
 	protected NewNavigationWidget navigation;
 	
 	/**
 	 * Structural unit to explore.
 	 */
-	@Parameter(key = InternalViewPreferences.STRUCTURAL_UNIT)
+	@Parameter(key = TXMPreferences.STRUCTURAL_UNIT)
 	protected StructuralUnitsComboViewer structuralUnitsComboViewer;
 	
 	/**
 	 * Word properties to display.
 	 */
-	@Parameter(key = InternalViewPreferences.UNIT_PROPERTIES)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTIES)
 	protected PropertiesSelector<WordProperty> propertiesSelector;
 	
 	/**
 	 * Structural units to display.
 	 */
-	@Parameter(key = InternalViewPreferences.STRUCTURAL_UNIT_PROPERTIES)
+	@Parameter(key = TXMPreferences.STRUCTURAL_UNIT_PROPERTIES)
 	protected PropertiesSelector<StructuralUnitProperty> structuralUnitPropertiesSelector;
 	
 	/**
 	 * Number of lines to display.
 	 */
-	@Parameter(key = InternalViewPreferences.N_LINES_PER_PAGE)
+	@Parameter(key = TXMPreferences.N_LINES_PER_PAGE)
 	protected Spinner nLinesPerPagesSpinner;
 	
 	@Override
@@ -112,17 +116,15 @@
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
 		
-		Composite parametersArea = getExtendedParametersGroup();
-		parametersArea.setLayout(new GridLayout(6, false));
-		parametersArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
-		
-		Composite resultPanel = getResultArea();
-		
+		// Main parameters
+		GLComposite mainParametersArea = this.getMainParametersComposite();
+		mainParametersArea.getLayout().numColumns = 2;
+
 		// Structural unit selector
-		Label structComboLabel = new Label(parametersArea, SWT.NONE);
+		Label structComboLabel = new Label(mainParametersArea, SWT.NONE);
 		structComboLabel.setText(InternalViewUIMessages.structure);
 		structComboLabel.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, true));
-		this.structuralUnitsComboViewer = new StructuralUnitsComboViewer(parametersArea, this, true);
+		this.structuralUnitsComboViewer = new StructuralUnitsComboViewer(mainParametersArea, this, true);
 		// Listener
 		this.structuralUnitsComboViewer.addSelectionChangedListener(new ISelectionChangedListener() {
 			
@@ -132,7 +134,12 @@
 				structuralUnitPropertiesSelector.setSelectedProperty(0);
 			}
 		});
+
 		
+		// Extended parameters
+		Composite parametersArea = getExtendedParametersGroup();
+		parametersArea.setLayout(new GridLayout(4, false));
+		
 		// Word properties selector
 		propertiesSelector = new PropertiesSelector<>(parametersArea);
 		propertiesSelector.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, true));
@@ -155,37 +162,17 @@
 		structuralUnitPropertiesSelector.setTitle(InternalViewUIMessages.structuralProperties);
 		structuralUnitPropertiesSelector.addSelectionListener(computeSelectionListener);
 		
-		new Label(parametersArea, SWT.NONE).setText(TXMUIMessages.numberOfLines);
-		nLinesPerPagesSpinner = new Spinner(parametersArea, SWT.NONE);
+		
+		// Number of lines per page
+		LabeledSpinner nLinesPerPagesLabeledSpinner= new LabeledSpinner(this.getExtendedParametersGroup(), this, TXMUIMessages.numberOfLines);
+		nLinesPerPagesSpinner = nLinesPerPagesLabeledSpinner.getSpinner();
 		nLinesPerPagesSpinner.setMinimum(1);
 		nLinesPerPagesSpinner.setMaximum(Integer.MAX_VALUE);
-		nLinesPerPagesSpinner.addSelectionListener(computeSelectionListener);
-		nLinesPerPagesSpinner.addKeyListener(computeKeyListener);
+
 		
-		navigationPanel = getBottomToolbar().installGLComposite(InternalViewUIMessages.navigation, 4, false);
-		navigationPanel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		// Result area
+		Composite resultPanel = getResultArea();
 		
-		
-		// Navigation widget
-		navigation = new NewNavigationWidget(navigationPanel);
-		navigation.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, true));
-		navigation.addGoToKeyListener(computeKeyListener);
-		
-		
-		// Listeners
-		navigation.addFirstListener(computeSelectionListener);
-		navigation.addPreviousListener(computeSelectionListener);
-		navigation.addNextListener(computeSelectionListener);
-		navigation.addLastListener(computeSelectionListener);
-		
-		
-		structInfos = new Label(navigationPanel, SWT.NONE);
-		structInfos.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, true));
-		structInfos.setText(""); //$NON-NLS-1$
-		
-		// Button style = new Button(navigationPanel, SWT.RADIO);
-		// style.setText("table");
-		
 		viewer = new TableViewer(resultPanel, SWT.FULL_SELECTION | SWT.VIRTUAL);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
 		viewer.getTable().setLinesVisible(true);
@@ -244,6 +231,32 @@
 			}
 		});
 		
+		
+
+		// Bottom tool bar 
+		navigationPanel = getBottomToolbar().installGLComposite(InternalViewUIMessages.navigation, 4, false);
+		navigationPanel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		
+		// Navigation widget
+		navigation = new NewNavigationWidget(navigationPanel);
+		navigation.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, true));
+		navigation.addGoToKeyListener(computeKeyListener);
+		
+		// Listeners
+		navigation.addFirstListener(computeSelectionListener);
+		navigation.addPreviousListener(computeSelectionListener);
+		navigation.addNextListener(computeSelectionListener);
+		navigation.addLastListener(computeSelectionListener);
+		
+		
+		structInfos = new Label(navigationPanel, SWT.NONE);
+		structInfos.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, true));
+		structInfos.setText(""); //$NON-NLS-1$
+		
+		// Button style = new Button(navigationPanel, SWT.RADIO);
+		// style.setText("table");
+
+		
 		// Register the context menu
 		TXMEditor.initContextMenu(this.viewer.getTable(), this.getSite(), this.viewer);
 		
@@ -317,8 +330,23 @@
 			}
 		}
 	}
+
 	
+	/**
+	 * Creates a queries list from the selected table lines.
+	 * @return a queries list based on the selected lines
+	 */
+	public List<Query> createQueries() {
+		List<Query> queries = new ArrayList<>();
+		queries.add(new CQLQuery(this.createQuery()));
+		return queries;
+	}
 	
+
+	/**
+	 * Creates a query string from the selected table lines.
+	 * @return a query string based on the selected lines
+	 */
 	public String createQuery() {
 		TableColumn[] cols = viewer.getTable().getColumns();
 		TableItem[] items = viewer.getTable().getItems();
@@ -354,10 +382,13 @@
 			query.append("\""); //$NON-NLS-1$
 		}
 		query.append("]"); //$NON-NLS-1$
-		System.out.println(NLS.bind(InternalViewUIMessages.queryColonP0, query));
+		Log.info(NLS.bind(InternalViewUIMessages.queryColonP0, query));
 		return query.toString();
 	}
 	
+	
+	
+	
 	public boolean backToText(Match m) {
 		// Match m = line.getMatch();
 		internalView.getCurrentPage();
@@ -373,7 +404,7 @@
 			return goToPage(n[0]);
 		}
 		catch (Exception e) {
-			System.out.println(NLS.bind(InternalViewUIMessages.errorWhileInternalViewGoBackToP0, m));
+			Log.info(NLS.bind(InternalViewUIMessages.errorWhileInternalViewGoBackToP0, m));
 			Log.printStackTrace(e);
 		}
 		return false;
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 3563)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 3564)
@@ -222,7 +222,7 @@
 		propertiesSelector.addSelectionListener(computeSelectionListener);
 		
 		
-		// extended parameters
+		// Extended parameters
 		
 		// Filters
 		ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), this);
@@ -248,7 +248,7 @@
 		
 		
 		
-		// Bottom toolbar
+		// Bottom tool bar
 		navigationArea = new NavigationWidget(infosArea, SWT.NONE);
 		navigationArea.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, true, false));
 		
@@ -319,7 +319,9 @@
 		lFminInfo.setText(""); //$NON-NLS-1$
 		// lFminInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
 		
-		// results
+		
+		
+		// Result area
 		Composite resultArea = this.getResultArea();
 		
 		viewer = new TableViewer(resultArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER | SWT.VIRTUAL);
@@ -414,6 +416,9 @@
 		separatorColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		separatorColumn.setText(""); //$NON-NLS-1$
 		separatorColumn.pack();
+		
+		
+		
 		extendedParametersComposite.pack();
 		
 		// Add double click, "Send to" command
Index: TXM/trunk/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3563)
+++ TXM/trunk/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3564)
@@ -211,6 +211,11 @@
 	public static final String N_LINES_PER_PAGE = "n_lines_per_page"; //$NON-NLS-1$
 	
 	/**
+	 * Current page number.
+	 */
+	public static final String CURRENT_PAGE = "current_page"; //$NON-NLS-1$
+	
+	/**
 	 * Encoding.
 	 */
 	public final static String ENCODING = "encoding"; //$NON-NLS-1$
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3563)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3564)
@@ -139,26 +139,26 @@
 	/**
 	 * Unit property.
 	 */
-	@Parameter(key = LexicalTablePreferences.UNIT_PROPERTY)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTY)
 	protected PropertiesComboViewer unitPropertyComboViewer;
 	
 	
 	/**
 	 * Minimum frequency filter spinner.
 	 */
-	@Parameter(key = LexicalTablePreferences.F_MIN)
+	@Parameter(key = TXMPreferences.F_MIN)
 	protected Spinner fMinSpinner;
 	
 	/**
 	 * Minimum frequency filter spinner.
 	 */
-	@Parameter(key = LexicalTablePreferences.F_MAX)
+	@Parameter(key = TXMPreferences.F_MAX)
 	protected Spinner fMaxSpinner;
 	
 	/**
 	 * Maximum numbers of lines spinner.
 	 */
-	@Parameter(key = LexicalTablePreferences.V_MAX)
+	@Parameter(key = TXMPreferences.V_MAX)
 	protected Spinner vMaxSpinner;
 	
 	/**
